Documentation and more functions for Hash functions in C API
08/30/2018 09:08 AM - vOdro (Sameer Deshmukh)

Status: Assigned
Priority: Normal
Assignee: docs
Target version:

Description

Currently the C API supports various Array functions like rb_ary_new() and String
functions like rb_str_new2() | could hardly find any documentation in the README.EXT
for working with hashes. Instead, | relied on this blog: http:/clalance.blogspot.com/2011/01/writing-ruby-extensions-in-c-part-10.html

Having official documentation for this purpose would be better.

Also, including more functionality like getting the size a Hash directly through
a C API call would be a welcome feature.

History

#1 - 08/30/2018 12:46 PM - shevegen (Robert A. Heiler)

More documentation would always be very helpful. It makes "entry" into the
ruby world easier when there is good documentation. Perhaps after ruby 3x3
we could add a new meme - four times as good documentation. :D

#2 - 08/30/2018 12:57 PM - mrkn (Kenta Murata)

Also, including more functionality like getting the size a Hash directly through
a C API call would be a welcome feature.

Use RHASH_SIZE macro.

#3 - 08/30/2018 01:48 PM - vOdro (Sameer Deshmukh)
Can | submit the documentation for this as a GitHub PR? | just to make updates to README.EXT.

Also, thank you for the help | will make a note of that in my patch.

#4 - 03/20/2019 01:24 AM - hsbt (Hiroshi SHIBATA)
- Assignee set to docs

- Status changed from Open to Assigned
